<app-clock [secondsToEnd] = "ychAuctionDto.secondsToEnd"
           [stopCondition] = "ychAuctionDto.auctionIsOver"
></app-clock>

<div style = "margin-bottom: 10px;">
  <button
    (click) = "showAddBid()"
    [disabled] = "ychAuctionDto.auctionIsOver || ychAuctionDto.isOwnerChooseTime"
    class = "p-button-raised p-button-success info-button"
    icon = "pi pi-plus"
    label = "Add bid"
    pButton
    pRipple
    type = "button"
  ></button>
</div>

<ng-container *ngIf = "ychAuctionDto.minBid">
  <p-card>
    Min bid value {{ychAuctionDto.minBid}} {{ychAuctionDto.currency}}
  </p-card>
</ng-container>

<ng-container *ngIf = "ychAuctionDto?.bids">
  <div *ngFor = "let bid of ychAuctionDto.bids">
    <div class = "single-bid">{{bid.ownerName}} : {{bid.bidValue}} {{ychAuctionDto.currency}}</div>
  </div>
</ng-container>
